Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.AbstractNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

- All Implemented Interfaces:
    `ContainerItemProvider.Node`
  Direct Known Subclasses:
    `ContainerItemProvider.AbstractContainerNode`, `ContainerItemProvider.LeafNode`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public abstract class ContainerItemProvider.AbstractNode
      extends java.lang.Object
      implements ContainerItemProvider.Node

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `NO_CHILDREN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNode​(ContainerItemProvider.Node parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ContainerItemProvider.Node` | `addChild​(java.util.Collection<ContainerItemProvider.Node> children, java.lang.Object element)` |
    `protected void` | `checkNotDisposed()` |
    `void` | `dispose()` |
    `void` | `disposeChildren()` |
    `ContainerItemProvider.Node` | `getParent()` |
    `TreePath` | `getTreePath()` |
    `boolean` | `hasChildren()` |
    `boolean` | `isDisposed()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `getChildren, getElement`

- - ### Constructor Detail

    - #### AbstractNode

          public AbstractNode​(ContainerItemProvider.Node parent)

  - ### Method Detail

    - #### isDisposed

          public boolean isDisposed()

      Specified by:
        `isDisposed` in interface `ContainerItemProvider.Node`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`

    - #### disposeChildren

          public void disposeChildren()

      Specified by:
        `disposeChildren` in interface `ContainerItemProvider.Node`
      Since:
        3.5

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getParent

          public final ContainerItemProvider.Node getParent()

      Specified by:
        `getParent` in interface `ContainerItemProvider.Node`

    - #### getTreePath

          public TreePath getTreePath()

      Specified by:
        `getTreePath` in interface `ContainerItemProvider.Node`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ContainerItemProvider.Node`
      Since:
        3.5

    - #### checkNotDisposed

          protected void checkNotDisposed()

    - #### addChild

          protected ContainerItemProvider.Node addChild​(java.util.Collection<ContainerItemProvider.Node> children,
                                                        java.lang.Object element)